program main
      use params
      use forces
      use time_integration

      implicit none

      !
      ! Initialize the parameters. For now this is a purely hardcoded procedure.
      !
      call hard_init(2)
      call read_time_integration_params()
      call read_force_params()
      call read_popg()
      call read_vitg()

      !
      ! Print the header for the output.
      !
      call output_p(popg,npp,resg,nr,alcg,na,tminus)
      call output_p(popg,npp,resg,nr,alcg,na,tmin)
      !
      ! Start the simulation
      !
      call time_integrate_vsv(popg,npp,resg,nr,alcg,na,tmin,dt,tmax)
end program main
